Groovy 1.7.0

## groovy.text
Class GStringTemplateEngine.GStringTemplate

    java.lang.Object
      groovy.text.GStringTemplateEngine.GStringTemplate

All Implemented Interfaces:
  Template

    class GStringTemplateEngine.GStringTemplate

Field Summary
`Closure` | `template`

Constructor Summary
`GStringTemplateEngine.GStringTemplate(Reader reader, ClassLoader parentLoader)` Turn the template into a writable Closure When executed the closure evaluates all the code embedded in the template and then writes a GString containing the fixed and variable items to the writer passed as a parameter For example: '<%= "test" %> of expr and <% test = 1 %>${test} script.'

Method Summary
`Writable` | `make()`
`Writable` | `make(Map map)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### template

    final Closure template

Constructor Detail

### GStringTemplateEngine.GStringTemplate

    public GStringTemplateEngine.GStringTemplate(Reader reader, ClassLoader parentLoader)

  Turn the template into a writable Closure When executed the closure evaluates all the code embedded in the template and then writes a GString containing the fixed and variable items to the writer passed as a parameter

  For example:

  '<%= "test" %> of expr and <% test = 1 %>${test} script.'

  would compile into:

  { out -> out << "${"test"} of expr and "; test = 1 ; out << "${test} script."}.asWritable()
  param:
    reader
  param:
    parentLoader
  throws:
    CompilationFailedException
  throws:
    ClassNotFoundException
  throws:
    IOException

Method Detail

### make

    public Writable make()

### make

    public Writable make(Map map)

Copyright © 2003-2009 The Codehaus. All rights reserved.